import Vue from 'vue'
import Router from 'vue-router'

Vue.use(Router)

export const constantRoutes = [
    {
        path: '/home',
        name: 'home',
        title: '首页',
        component: () => import('@/views/home/home')
    }, {
        path: '/work',
        name: 'work',
        title: '作业',
        component: () => import('@/views/work/work')
    }, {
        path: '/report',
        name: 'report',
        title: '日报',
        component: () => import('@/views/report/report')
    }
]

export default new Router({
    mode: 'history',
    base: process.env.BASE_URL,
    scrollBehavior: () => ({ y: 0 }),
    routes: constantRoutes
})